<?php
/**
Plugin Name: SVG Icons for Visual Composer
Description: Adds 12,000+ icons to Visual Composer
Author: Gambit Technologies, Inc
Version: 1.0
Author URI: http://gambit.ph
Plugin URI: http://codecanyon.net/user/gambittech/portforlio
Text Domain: svg-icons
Domain Path: /languages
SKU: SVGICONS
 *
 * The main plugin file.
 *
 * @package SVG Icons for Visual Composer.
 */

if ( ! defined( 'ABSPATH' ) ) { exit; // Exit if accessed directly.
}

// Identifies the current plugin version.
defined( 'VERSION_GAMBIT_VC_SVG_ICONS' ) || define( 'VERSION_GAMBIT_VC_SVG_ICONS', 1.0 );

// The slug used fot translation & other identifiers.
defined( 'GAMBIT_VC_SVG_ICONS' ) || define( 'GAMBIT_VC_SVG_ICONS', 'SVG-icons' );

// This is the main plugin functionality.
require_once( 'class-svg-icons.php' );

// Initializes plugin class.
if ( ! class_exists( 'SVGIconsPlugin' ) ) {

	/**
	 * Initializes core plugin that is readable by WordPress.
	 *
	 * @return void
	 * @since 1.0
	 */
	class SVGIconsPlugin {

		/**
		 * Hook into WordPress.
		 *
		 * @return	void
		 * @since	1.0
		 */
		function __construct() {

			// Our translations.
			add_action( 'init', array( $this, 'load_text_domain' ) );
		}


		/**
		 * Loads the translations.
		 *
		 * @return	void
		 * @since	1.0
		 */
		public function load_text_domain() {
			load_plugin_textdomain( 'svg-icons', false, basename( dirname( __FILE__ ) ) . '/languages/' );
		}
	}

	new SVGIconsPlugin();
}
